using Fuel.Core.Nozzle.Dto;
using FuelServer.Core.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Fuel.Application
{
    public interface INozzleRepository
    {
        Task<bool> uploadNozzle(UploadNozzle uploadNozzle);
        Task<List<nozzle>> AddNozzle(nozzle _nozzle);
        Task<tanks> AddTanks(tanks _tanks);
        Task<product> AddProduct(product _product);
    }
}
